ConfigFetchException (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.ConfigFetchException class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared
Class ConfigFetchException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.hyperic.util.NestedException
                  org.hyperic.hq.common.ApplicationException
                      org.hyperic.hq.appdef.shared.ConfigFetchException

All Implemented Interfaces:
  java.io.Serializable

    public class ConfigFetchException

extends ApplicationException

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.util.NestedException
`_exception`

Constructor Summary
`ConfigFetchException(java.lang.String productType, AppdefEntityID id)` Indicate that the specified appdef entity needs a config response which has not yet been filled out.
`ConfigFetchException(java.lang.String productType, AppdefResourceValue ent)`

Method Summary
`AppdefEntityID` | `getEntity()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getProductType()`
`boolean` | `matchesQuery(AppdefEntityID id, java.lang.String productType)` Check to see if this exception is thrown because of an entity indicated by the passed arguments.

Methods inherited from class org.hyperic.util.NestedException
`addException, getExceptionOfType`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigFetchException

    public ConfigFetchException(java.lang.String productType,
                                AppdefEntityID id)

  Indicate that the specified appdef entity needs a config response which has not yet been filled out.

### ConfigFetchException

    public ConfigFetchException(java.lang.String productType,
                                AppdefResourceValue ent)

Method Detail

### getEntity

    public AppdefEntityID getEntity()

### getProductType

    public java.lang.String getProductType()

### matchesQuery

    public boolean matchesQuery(AppdefEntityID id,
                                java.lang.String productType)

  Check to see if this exception is thrown because of an entity indicated by the passed arguments.

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.